Bug 61758 - up2date-2.7.60-7.x.2 - bad-looking --usage
up2date-2.7.60-7.x.2 - bad-looking --usage
Product: Red Hat Linux
Classification: Retired
Component: python-clap (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On: 62234
  Show dependency treegraph
Reported: 2002-03-24 03:41 EST by James Manning
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-02 17:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-03-24 03:41:10 EST
looks like --usage (calls to python-popt it appears, but I don't see python-
popt in the component list to select it - ugh) intends to do the nice printing 
of options, indented, line-wrapped, etc. but the last line looks crappy :)

[root@bp6 up2date_client]# up2date --usage
Usage: up2date [--configure] [--src] [--nosrc] [--dbpath=<dir>] [--justdb]
        [-k STRING] [--nosig] [--nox] [--showall] [--solvedeps=<deps>]
        [--tmpdir=<directory>] [--version] [--show-channels]
        [--whatprovides=<deps>] [--channel=STRING] [--gpg-flags] [--nodownload] 
[OPTIONS] <packages>
Comment 1 Alexei Podtelezhnikov 2002-03-24 18:04:16 EST
Looks nice here. I don't see your problem. Are you sure you're up2date?
Comment 2 James Manning 2002-03-24 18:08:22 EST
compare your up2date version to mine :) this slew of bugs are prob. just hiccup 
ones, just ones I wanted to make sure don't make it out.
Comment 3 Adrian Likins 2002-03-25 18:48:56 EST
hmm, looks okay to me. Fairly low priority either way ;->

I'll bounce it over to python-popt.
Comment 4 James Manning 2002-05-15 15:40:36 EDT
looks like it was just that my terminal width wasn't wide enough - anything
narrower than 100 columns and the last line wraps (still on 7.3,

Since the relevant line from wrapper.py is:

argObj = clap.Clap(optionsTable, "[OPTIONS] <packages>", aliasing = 1)

I'm going to tag this python-clap and see if it's fixable over there, but I'd
tend to doubt it since the --usage output doesn't appear to be $COLUMNS-aware
anyway - anyone can feel free to NOTABUG this - I may do so myself after another
week of lingering :)

fwiw, normal 7.3 box

Comment 5 Mihai Ibanescu 2002-07-25 14:45:42 EDT
We are slowly migrating to a different command-line approach, python-popt will
go away.

Note You need to log in before you can comment on or make changes to this bug.